Skip to main content
GET
/
api
/
v1
/
provider_builds
List Provider Builds
curl --request GET \
  --url https://api.example.com/api/v1/provider_builds \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "status": "missing",
      "source": {
        "org": "<string>",
        "repo": "<string>",
        "version": "<string>",
        "version_type": "head",
        "commit_hash": "<string>",
        "host": "github.com",
        "path": "<string>"
      },
      "destination": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider_origin": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "build_configuration": {
        "dockerfile_path": "<string>"
      },
      "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "on_complete": {
        "type": "no_action"
      },
      "error_message": "<string>"
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
page_token
string<uuid> | null
order
string
Pattern: ^(asc|desc)$
order_by
string
Pattern: ^created_at|updated_at$
status
enum<string> | null
Available options:
missing,
in_progress,
build_completed,
completed,
failed
user_owned
boolean | null

Response

Successful Response

items
ProviderBuild · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false